cupsenable(8)

NOM
cupsdisable, cupsenable - Arrêter/démarrer des imprimantes ou classes d'imprimantes

SYNOPSIS
cupsdisable [ -E ] [-U identifiant ] [ -c ] [ -h serveur[:port] ] [ -r raison ] [--hold] destination(s)
cupsenable [ -E ] [-U identifiant ] [ -c ] [ -h serveur[:port] ] [--release ] destination(s)

DESCRIPTION
cupsenable démarre les imprimantes ou les classes d'imprimante indiquées.

OPTIONS
Les options suivantes sont reconnues :

-E  Forcer le chiffrement de la connexion au serveur.

-U identifiant
    Utiliser l'identifiant indiqué pour les connexions au serveur.

-c  Annuler tous les travaux sur la destination donnée.

-h serveur[:port]
    Utiliser le serveur et le port indiqués.

--hold
    Suspendre les travaux restants sur l'imprimante donnée. Utile pour autoriser le travail en cours à finir avant d'exécuter une maintenance.

-r "raison"
    Configurer le message associé à l'état arrêté. Si aucune raison n'est indiquée, alors le message sera « Reason Unknown » (« Raison Inconnue »).

--release
    Libérer les travaux en attente et les imprimer. À utiliser après avoir exécuté cupsdisable avec l'option --hold pour reprendre l'impression.

CONFORMITÉ
Contrairement au système d'impression System V, les noms d’imprimante CUPS peuvent contenir n'importe quel caractère imprimable sauf ESPACE, TABULATION, « / » ou « # ». De même, les noms d'imprimante et de classe ne sont pas sensibles à la casse.

The System V versions of these commands are disable and enable, respectively. They have been renamed to avoid conflicts with the bash(1) built-in commands of the same names.

Les versions CUPS de disable et enable peuvent demander à l'utilisateur un accès par mot de passe suivant la configuration du système d'impression, à la différence des versions System V qui demandent le mot de passe superutilisateur pour exécuter ces commandes.

VOIR AUSSI
cupsaccept(8), cupsreject(8), cancel(1), lp(1), lpadmin(8), lpstat(1), aide en ligne de CUPS <URL:http://localhost:631/help>

COPYRIGHT
Copyright © 2020-2024 by OpenPrinting.